| Home | Libraries | People | FAQ | More

##### basic_socket_acceptor::basic_socket_acceptor (6 of 6 overloads)

Move-construct a `basic_socket_acceptor` from an acceptor of another protocol type.

    template<
        typename Protocol1,
        typename SocketAcceptorService1>
    basic_socket_acceptor(
        basic_socket_acceptor< Protocol1, SocketAcceptorService1 > && other,
        typename enable_if< is_convertible< Protocol1, Protocol >::value >::type *  = 0);

This constructor moves an acceptor from one object to another.

###### Parameters

other

  The other `basic_socket_acceptor` object from which the move will occur.

###### Remarks

Following the move, the moved-from object is in the same state as if constructed using the `basic_socket(io_service&) constructor`.